BashSupport plugin no longer works!

Please help
running version 10 of IDEA and my BashSupport plugin no longer works. I tried updating the plugin but it still is not active.

Si there a workaround?

6 comments
Comment actions Permalink

was told by the developer a compatible version will be released in a few days

0
Comment actions Permalink

The new version 0.9.17 is compatible with the official 10.0 release of IntelliJ IDEA.

Regards,
Wallaby

0
Comment actions Permalink

Hi,

I tried BashSupport 0.9.17 with Intellj X on OS X 10.6.5 and it still not working.

/lim/

0
Comment actions Permalink

What is not working?

Which version of IntelliJ do you use (Ultimate or Community)?

Is the plugin enabled in the plugin manager?
Are there any error messages at startup?

Regards,
Wallaby

0
Comment actions Permalink

It's marked as incompatible in 99.18 UE (for me).

Except... Now that I check, it shows a new version of BASH Support available. Having installed it, it seems to load correctly.


Randall Schulz

0
Comment actions Permalink

I am using IntelliJ X CE. It seems to work now after I uninstall and reinstall the plugin. Earlier installation has caused this exception, if it helps,

2010-12-11 01:52:41,436 [6269118]  ERROR - com.intellij.ide.IdeEventQueue - Error during dispatching of java.awt.event.MouseEvent[MOUSE_RELEASED,(88,139),absolute(233,512),button=1,modifiers=Button1,clickCount=1] on ###overrideRedirect###
java.lang.IncompatibleClassChangeError: Found class com.intellij.lexer.Lexer, but interface was expected
    at com.ansorgit.plugins.bash.lang.lexer.MergingLexer.start(MergingLexer.java:38)
    at com.ansorgit.plugins.bash.lang.lexer.BashLexer.start(BashLexer.java:14)
    at com.intellij.lexer.Lexer.start(Lexer.java:45)
    at com.intellij.openapi.editor.ex.util.LexerEditorHighlighter.<init>(LexerEditorHighlighter.java:61)
    at com.intellij.openapi.editor.highlighter.EditorHighlighterFactoryImpl.createEditorHighlighter(EditorHighlighterFactoryImpl.java:36)
    at com.intellij.openapi.fileTypes.LanguageFileType.getEditorHighlighter(LanguageFileType.java:63)
    at com.intellij.openapi.editor.highlighter.EditorHighlighterFactoryImpl.createEditorHighlighter(EditorHighlighterFactoryImpl.java:64)
    at com.intellij.openapi.fileEditor.impl.text.TextEditorComponent.createEditor(TextEditorComponent.java:175)
    at com.intellij.openapi.fileEditor.impl.text.TextEditorComponent.<init>(TextEditorComponent.java:114)
    at com.intellij.openapi.fileEditor.impl.text.PsiAwareTextEditorImpl$PsiAwareTextEditorComponent.<init>(PsiAwareTextEditorImpl.java:63)
    at com.intellij.openapi.fileEditor.impl.text.PsiAwareTextEditorImpl$PsiAwareTextEditorComponent.<init>(PsiAwareTextEditorImpl.java:56)
    at com.intellij.openapi.fileEditor.impl.text.PsiAwareTextEditorImpl.createEditorComponent(PsiAwareTextEditorImpl.java:42)
    at com.intellij.openapi.fileEditor.impl.text.TextEditorImpl.<init>(TextEditorImpl.java:46)

0

Please sign in to leave a comment.